import {request} from '@/utils/request.js'

// 查询附近加油站
export function getNearbyStore(data) {
	return request({
		url: '/springbatchservice/xiaoju/nearbyStore',
		method:'post',
		data
	})
}

// 查询加油站详情
export function queryStoreDetail(data) {
	return request({
		url: '/springbatchservice/xiaoju/queryStoreDetail2/'+data,
	})
}

// 价格计算
export function queryCalPrice(data) {
	return request({
		url: '/springbatchservice/xiaoju/queryCalPrice',
		method:'post',
		data
	})
}


// 创建订单
export function queryNewOrder(data) {
	return request({
		url: '/springbatchservice/xiaoju/queryNewOrder',
		method:'post',
		data
	})
}

// 取消订单
export function cancelOrder(data) {
	return request({
		url: '/springbatchservice/xiaoju/cancelOrder',
		method:'post',
		data
	})
}

// 查询最优优惠券
export function queryOrderPromotionList(data) {
	return request({
		url: '/springbatchservice/xiaoju/queryOrderPromotionList',
		method:'post',
		data
	})
}
